> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Repos



## OpenAPI

````yaml api-reference/openapi.json post /repo/fetch/all
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /repo/fetch/all:
    post:
      tags:
        - Repositories
      summary: Fetch All Repos
      operationId: fetch_all_repos_for_vc_endpoint_repo_fetch_all_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FetchReposRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FetchReposRequest:
      properties:
        vc_id:
          type: integer
          title: Vc Id
      type: object
      required:
        - vc_id
      title: FetchReposRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````